Returns the BinaryInterface's data

- « MongoDB\BSON\BinaryInterface::getType

- MongoDB\BSON\Decimal128Interface »

- PHP Manual
- MongoDB\BSON\BinaryInterface
- Returns the BinaryInterface's data

# MongoDB\BSON\BinaryInterface::__toString

(mongodb >=1.3.0)

MongoDB\BSON\BinaryInterface::__toString — Returns the BinaryInterface's data

### Description

abstract public MongoDB\BSON\BinaryInterface::__toString(): string

This method is an alias of: MongoDB\BSON\BinaryInterface::getData().

### Parameters

This function has no parameters.

### Return Values

Returns the BinaryInterface's data.

### See Also

- MongoDB\BSON\BinaryInterface::getData() - Returns the BinaryInterface's data
- MongoDB\BSON\Binary::__toString() - Returns the Binary's data